@import url('https://fonts.googleapis.com/css2?family=Mansalva&family=Roboto:wght@100;500&display=swap');

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  list-style: none;
}

h1{
  text-align: center;
  color: #3a5250;
  font-family: 'Mansalva', cursive;
}

h2{
  text-align: center;
  padding-top: 15px;
}

h5{
  padding-top: 25px;
  color: #fb2274;
  text-align: center;
  font-family: 'Roboto', sans-serif;
}

p{
  text-align: center;
  color: #6c8177;
}


.mcontainer{
  position: relative;
}

/* navigation bar */

.logo h1{
  color: #fb2274;
  font-size: 40px;
}
.mnavbar{
  width: 100%;
  height: 65px;
  position: absolute;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.mnav-item ul{
  display: flex;
}

.mnav-item ul li{
  margin: 0 10px;
}

.mnav-item ul li a{
  text-transform: uppercase;
  color: #eadcc8;
  text-decoration: none;
}

/* home */

.mbackground{
  background: url("../../assets/images/p3.jpg") no-repeat top center;
  background-size: cover;
  width: 100%;
  height: 600px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.mhome-content h1{
  text-align: center;
  color: #eadcc8;
}

.mhome-content h1 span{
  color: #fb2274;
}

.mhome-content p{
  color: #eadcc8;
}

/* about */

.mabout{
  text-align: center;
  padding: 5% 10%;
}

#borderimg { 
  border: 10px solid transparent;
  padding: 15px;
  border-image: url(../../assets/images/border.png) 30 stretch;
}

.image-me {
  flex-basis: 40%;
  padding-bottom: 30px;
  padding-top: 20px;
}

.text {
  font-size: 20px;
  padding-left: 20px;
}

#me-pic img:hover {
  opacity: 1.0;
}

.orange-line{width: 100px; background-color: orangered; height: 3px;}

/* interests */

.interests{
  background: #E0E0E0;
  padding: 5% 10%;
}

.interests h1{
  padding-bottom: 25px;
}

.gallery {
    padding: 40px;
}

.gallery .lightbox img {
    width: 100%;
    margin-bottom: 30px;
    transition: 0.2s ease-in-out;
    box-shadow: 0 2px 3px rgba(0,0,0,0.2);
}


.gallery .lightbox img:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 15px rgba(0,0,0,0.3);
}

.gallery img {
    border-radius: 4px;
}

.baguetteBox-button {
    background-color: transparent !important;
}

/* skills */

.skills{
  text-align: center;
    padding: 5% 10%;
}

.skills h1{
  padding-bottom: 25px;
}

/* contact me */

.contactus{
  background: #E0E0E0;
  padding: 5% 10%;
}

.contactus h1{
  padding-bottom: 30px;
}

.form-header h2{
  padding-bottom: 20px;
  font-family: 'Roboto', sans-serif;
  color: #fb2274;
}

.form-container{
  width: 50%;
  height: 300px;
  background: white;
  margin: 0 auto;
  border-style: solid;
  border-color: #3a5250;

}

.socmed-icons{
  text-align: center;
}

.fa {
  padding: 20px;
  padding-top: 10px;
  font-size: 30px;
  width: 50px;
  text-align: center;
  text-decoration: none;
  margin: 5px 2px;
}

.fa:hover {
    opacity: 0.7;
}

.fa-facebook {
  background: #3B5998;
  color: white;
}

.fa-twitter {
  background: #55ACEE;
  color: white;
}

.fa-instagram {
  background: #125688;
  color: white;
}

.fa-skype {
  background: #00aff0;
  color: white;
}

@media (max-width: 720px){

  .mnavbar{
    height: auto;
    flex-direction: column;
  }

  .logo{
    margin-bottom: 10px;
  }

  .mnav-item ul{
    flex-direction: column;
    text-align: center;
  }

  .mnav-item ul li{
    margin-bottom:5px;
  }

 .form-container{ 
  height: 350px;
  width: 100%;
  }

}